Use the pidfile support added to ggated(8) in r294973 to ensure that the

ggated(8) daemon used by the tests is the instance specifically invoked by
the tests instead of one or more daemon instances running on the system

MFC after: 1 month
Sponsored by: EMC / Isilon Storage Division
This commit is contained in:
Enji Cooper 2016-02-01 06:27:59 +00:00
parent 4f70692277
commit 5a69be6768
Notes: svn2git 2020-12-20 02:59:44 +00:00
svn path=/head/; revision=295117

View File

@ -10,6 +10,7 @@ us=0
while [ -c /dev/ggate${us} ]; do
: $(( us += 1 ))
done
pidfile=ggated.$$.pid
conf=`mktemp $base.XXXXXX` || exit 1
port=33080
@ -19,7 +20,7 @@ src=$(attach_md -t malloc -s 1M)
test_cleanup()
{
ggatec destroy -f -u $us
killall ggated
pkill -F $pidfile
geom_test_cleanup
}
trap test_cleanup ABRT EXIT INT TERM
@ -30,7 +31,7 @@ src_checksum=$(md5 -q /dev/$src)
echo "127.0.0.1 RW /dev/$work" > $conf
if ! ggated -p $port $conf; then
if ! ggated -p $port -F $pidfile $conf; then
echo 'ggated failed to start'
echo 'Bail out!'
exit 1